# LSB Test Execution Framework
# Olver test module
#
# Copyright (C) 2007-2008 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF with some parts
# derived from lsb-autotest written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

package Olver_test;
use strict;

use Common;
use Packages;

require Tests::Test_common;
@Olver_test::ISA = qw(Test_common);

sub new {
    my $self  = Test_common->new();
    $self->{NAME} = "olver";
    $self->{DISPLAYNAME} = "OLVER Core Tests";
    $self->{DESCRIPTION} = "Tests for LSB Core using the UniTESK technology from ISPRAS";
    $self->{PACKAGES} .= " lsb-test-olver-core";
    $self->{SOURCES} .= " runtime";
    $self->{BETA_SOURCES} .= " runtime";
    $self->{SNAPSHOT_SOURCES} .= " /snapshots/olver-core-tests";
    bless($self);
    return $self;
}

sub check {
    my $self = shift;
    my $failed = 0;
    
    # Depends on xlsfonts command
    unless (does_shell_know ("java")) {
        complain ("The ".$self->name." test can't be run."
            ." Can't find java."
        );
        $failed = 1;
    }
    
    return 0 if $failed;
    
    return Test_common::check($self);
}

sub journal
{
    my $self = shift;
    
    store_journal_info(
        "Unofficial Tests/Runtime Interface Tests/".$self->{DISPLAYNAME},
        "olver_test", "$results_dir/test_journals/olver_test.journal", 
        $self);
}

1; # return value
